### Function

# Gtk ListBoxUpdateHeaderFunc

#### Declaration

    void
    ListBoxUpdateHeaderFunc (
      GtkListBoxRow* row,
      GtkListBoxRow* before,
      gpointer user_data
    )

#### Description [src]

Whenever `row` changes or which row is before `row` changes this is called, which lets you update the header on `row`.

You may remove or set a new one via gtk_list_box_row_set_header() or just change the state of the current header widget.

#### Parameters

`row` | `GtkListBoxRow`
| The row to update.
| The data is owned by the caller of the function.
`before` | `GtkListBoxRow`
| The row before `row`, or `NULL` if it is first.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.